Bug 1461708 - Error when a RAID install is performed on already existing RAID partitions
Summary: Error when a RAID install is performed on already existing RAID partitions
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 26
Hardware: ppc64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker F26PPCFinal
TreeView+ depends on / blocked
 
Reported: 2017-06-15 09:02 UTC by Éric Fintzel
Modified: 2018-05-29 11:34 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-29 11:34:18 UTC


Attachments (Terms of Use)
Anaconda log file of successfull first RAID install (91.54 KB, text/plain)
2017-06-15 10:10 UTC, Éric Fintzel
no flags Details
Anaconda log file of second RAID install raising the error (126.18 KB, text/plain)
2017-06-15 10:11 UTC, Éric Fintzel
no flags Details

Description Éric Fintzel 2017-06-15 09:02:42 UTC
Description of problem:
An error occurs in Anaconda when a RAID install is performed on already existing partitions. The installer is not able to remove existing partitions and create new ones.
Problem occurs on baremetal machines (tested on P8) for ppc64 as well as ppc64le. Same test on VMs performed successfully.
Several types of RAID 0/1 combinations were tested with same error.

Version-Release number of selected component (if applicable):
Fedora 26 Beta 1.4

How reproducible:
Perform an RAID install on disks with existing RAID partitions.
Note a first RAID install on a fresh machine (i.e disks without pre-existing RAID partitions) does not raise the error.

Steps to Reproduce:
1. On a baremetal POwer8 machine, BE or LE
2. Perform a first RAID install on a fresh system, should be successfull
3. Perform a second RAID install overriding previous install, error should occur

Actual results:
Following error appears at the beginning of effective install when disks are accessed for partitioning:
gi.overrides.BlockDev.MDRaidError: Process reported exit code 1: mdadm: Cannot get exclusive access to /dev/md/root:Perhaps a running process, mounted filesystem or active volume group?


Expected results:
RAID partitions should be created without error.

Comment 1 Éric Fintzel 2017-06-15 10:08:39 UTC
First install:
Fedora 26 Beta 1.4 ppc64le
Manual partioning on empty disks sda and sdb
Create new partitions as
/ as RAID-0 (15G)
/home as RAID-1 (5G)
Install was successfull
Corresponding log file: anaconda-1.log

Second install:
Fedora 26 Beta 1.4 ppc64le
Manual partioning on disks sda and sdb containing previous RAID install
Remove all previous partitions, then create new ones as
/ as RAID-0 (15G)
/home as RAID-1 (5G)
Install raised the error
Corresponding log file: anaconda-2.log

Comment 2 Éric Fintzel 2017-06-15 10:10 UTC
Created attachment 1287975 [details]
Anaconda log file of successfull first RAID install

anaconda-1.log

Comment 3 Éric Fintzel 2017-06-15 10:11 UTC
Created attachment 1287977 [details]
Anaconda log file of second RAID install raising the error

anaconda-2.log

Comment 4 Éric Fintzel 2017-06-20 15:26:25 UTC
Same problem occurs on LPARs machines.

Comment 5 Fedora End Of Life 2018-05-03 08:14:24 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2018-05-29 11:34:18 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.